
package de.ivu.elect.presentation.ergebnis.table;

import de.ivu.elect.business.ergebnis.entity.Sitze;
import de.ivu.elect.business.gruppe.entity.Gruppe;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;
import de.ivu.elect.presentation.gruppe.table.AbstractGruppeColumn;
import de.ivu.elect.presentation.table.ColorColumnEntryWrapper;

public class SitzeGruppeFarbeColumn extends AbstractSitzeColumn<Sitze> {

  private static final long serialVersionUID = 1L;

  private final ColorColumnEntryWrapper<Gruppe> gruppeFarbeColumn;

  protected SitzeGruppeFarbeColumn(Messages messages) {
    super("Sitze-GruppeFarbe", messages, null, null, null);

    this.gruppeFarbeColumn = ColorColumnEntryWrapper.wrap(AbstractGruppeColumn.createGruppeFarbeColumn(messages));
  }

  @Override
  public ColumnType getType() {
    return gruppeFarbeColumn.getType();
  }

  @Override
  public String getHeader() {
    return gruppeFarbeColumn.getHeader();
  }

  @Override
  public Object getValue(Sitze sitze) {
    return gruppeFarbeColumn.getDisplayValue(sitze.getGruppe());
  }
}
